source: squid-ssl/trunk/fuentes/helpers/negotiate_auth/wrapper/Makefile.in

Last change on this file was 5499, checked in by Juanma, 23 months ago

Initial release

File size: 40.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = negotiate_wrapper_auth$(EXEEXT)
95subdir = helpers/negotiate_auth/wrapper
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_negotiate_wrapper_auth_OBJECTS = negotiate_wrapper.$(OBJEXT)
165negotiate_wrapper_auth_OBJECTS = $(am_negotiate_wrapper_auth_OBJECTS)
166@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170negotiate_wrapper_auth_DEPENDENCIES =  \
171        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
172        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
173AM_V_lt = $(am__v_lt_@AM_V@)
174am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
175am__v_lt_0 = --silent
176am__v_lt_1 =
177AM_V_P = $(am__v_P_@AM_V@)
178am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
179am__v_P_0 = false
180am__v_P_1 = :
181AM_V_GEN = $(am__v_GEN_@AM_V@)
182am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
183am__v_GEN_0 = @echo "  GEN     " $@;
184am__v_GEN_1 =
185AM_V_at = $(am__v_at_@AM_V@)
186am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
187am__v_at_0 = @
188am__v_at_1 =
189DEFAULT_INCLUDES =
190depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
191am__depfiles_maybe = depfiles
192am__mv = mv -f
193CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
195LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
197        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
198        $(AM_CXXFLAGS) $(CXXFLAGS)
199AM_V_CXX = $(am__v_CXX_@AM_V@)
200am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
201am__v_CXX_0 = @echo "  CXX     " $@;
202am__v_CXX_1 =
203CXXLD = $(CXX)
204CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
206        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
207AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
208am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
209am__v_CXXLD_0 = @echo "  CXXLD   " $@;
210am__v_CXXLD_1 =
211SOURCES = $(negotiate_wrapper_auth_SOURCES)
212DIST_SOURCES = $(negotiate_wrapper_auth_SOURCES)
213am__can_run_installinfo = \
214  case $$AM_UPDATE_INFO_DIR in \
215    n|no|NO) false;; \
216    *) (install-info --version) >/dev/null 2>&1;; \
217  esac
218am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
219# Read a list of newline-separated strings from the standard input,
220# and print each of them once, without duplicates.  Input order is
221# *not* preserved.
222am__uniquify_input = $(AWK) '\
223  BEGIN { nonempty = 0; } \
224  { items[$$0] = 1; nonempty = 1; } \
225  END { if (nonempty) { for (i in items) print i; }; } \
226'
227# Make sure the list of sources is unique.  This is necessary because,
228# e.g., the same source file might be shared among _SOURCES variables
229# for different programs/libraries.
230am__define_uniq_tagged_files = \
231  list='$(am__tagged_files)'; \
232  unique=`for i in $$list; do \
233    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
234  done | $(am__uniquify_input)`
235ETAGS = etags
236CTAGS = ctags
237am__tty_colors_dummy = \
238  mgn= red= grn= lgn= blu= brg= std=; \
239  am__color_tests=no
240am__tty_colors = { \
241  $(am__tty_colors_dummy); \
242  if test "X$(AM_COLOR_TESTS)" = Xno; then \
243    am__color_tests=no; \
244  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
245    am__color_tests=yes; \
246  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
247    am__color_tests=yes; \
248  fi; \
249  if test $$am__color_tests = yes; then \
250    red='[0;31m'; \
251    grn='[0;32m'; \
252    lgn='[1;32m'; \
253    blu='[1;34m'; \
254    mgn='[0;35m'; \
255    brg='[1m'; \
256    std='[m'; \
257  fi; \
258}
259am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
260am__vpath_adj = case $$p in \
261    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
262    *) f=$$p;; \
263  esac;
264am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
265am__install_max = 40
266am__nobase_strip_setup = \
267  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
268am__nobase_strip = \
269  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
270am__nobase_list = $(am__nobase_strip_setup); \
271  for p in $$list; do echo "$$p $$p"; done | \
272  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
273  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
274    if (++n[$$2] == $(am__install_max)) \
275      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
276    END { for (dir in files) print dir, files[dir] }'
277am__base_list = \
278  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
279  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
280am__uninstall_files_from_dir = { \
281  test -z "$$files" \
282    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
283    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
284         $(am__cd) "$$dir" && rm -f $$files; }; \
285  }
286am__recheck_rx = ^[     ]*:recheck:[    ]*
287am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
288am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
289# A command that, given a newline-separated list of test names on the
290# standard input, print the name of the tests that are to be re-run
291# upon "make recheck".
292am__list_recheck_tests = $(AWK) '{ \
293  recheck = 1; \
294  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
295    { \
296      if (rc < 0) \
297        { \
298          if ((getline line2 < ($$0 ".log")) < 0) \
299            recheck = 0; \
300          break; \
301        } \
302      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
303        { \
304          recheck = 0; \
305          break; \
306        } \
307      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
308        { \
309          break; \
310        } \
311    }; \
312  if (recheck) \
313    print $$0; \
314  close ($$0 ".trs"); \
315  close ($$0 ".log"); \
316}'
317# A command that, given a newline-separated list of test names on the
318# standard input, create the global log from their .trs and .log files.
319am__create_global_log = $(AWK) ' \
320function fatal(msg) \
321{ \
322  print "fatal: making $@: " msg | "cat >&2"; \
323  exit 1; \
324} \
325function rst_section(header) \
326{ \
327  print header; \
328  len = length(header); \
329  for (i = 1; i <= len; i = i + 1) \
330    printf "="; \
331  printf "\n\n"; \
332} \
333{ \
334  copy_in_global_log = 1; \
335  global_test_result = "RUN"; \
336  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
337    { \
338      if (rc < 0) \
339         fatal("failed to read from " $$0 ".trs"); \
340      if (line ~ /$(am__global_test_result_rx)/) \
341        { \
342          sub("$(am__global_test_result_rx)", "", line); \
343          sub("[        ]*$$", "", line); \
344          global_test_result = line; \
345        } \
346      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
347        copy_in_global_log = 0; \
348    }; \
349  if (copy_in_global_log) \
350    { \
351      rst_section(global_test_result ": " $$0); \
352      while ((rc = (getline line < ($$0 ".log"))) != 0) \
353      { \
354        if (rc < 0) \
355          fatal("failed to read from " $$0 ".log"); \
356        print line; \
357      }; \
358      printf "\n"; \
359    }; \
360  close ($$0 ".trs"); \
361  close ($$0 ".log"); \
362}'
363# Restructured Text title.
364am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
365# Solaris 10 'make', and several other traditional 'make' implementations,
366# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
367# by disabling -e (using the XSI extension "set +e") if it's set.
368am__sh_e_setup = case $$- in *e*) set +e;; esac
369# Default flags passed to test drivers.
370am__common_driver_flags = \
371  --color-tests "$$am__color_tests" \
372  --enable-hard-errors "$$am__enable_hard_errors" \
373  --expect-failure "$$am__expect_failure"
374# To be inserted before the command running the test.  Creates the
375# directory for the log if needed.  Stores in $dir the directory
376# containing $f, in $tst the test, in $log the log.  Executes the
377# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
378# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
379# will run the test scripts (or their associated LOG_COMPILER, if
380# thy have one).
381am__check_pre = \
382$(am__sh_e_setup);                                      \
383$(am__vpath_adj_setup) $(am__vpath_adj)                 \
384$(am__tty_colors);                                      \
385srcdir=$(srcdir); export srcdir;                        \
386case "$@" in                                            \
387  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
388    *) am__odir=.;;                                     \
389esac;                                                   \
390test "x$$am__odir" = x"." || test -d "$$am__odir"       \
391  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
392if test -f "./$$f"; then dir=./;                        \
393elif test -f "$$f"; then dir=;                          \
394else dir="$(srcdir)/"; fi;                              \
395tst=$$dir$$f; log='$@';                                 \
396if test -n '$(DISABLE_HARD_ERRORS)'; then               \
397  am__enable_hard_errors=no;                            \
398else                                                    \
399  am__enable_hard_errors=yes;                           \
400fi;                                                     \
401case " $(XFAIL_TESTS) " in                              \
402  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
403    am__expect_failure=yes;;                            \
404  *)                                                    \
405    am__expect_failure=no;;                             \
406esac;                                                   \
407$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
408# A shell command to get the names of the tests scripts with any registered
409# extension removed (i.e., equivalently, the names of the test logs, with
410# the '.log' extension removed).  The result is saved in the shell variable
411# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
412# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
413# since that might cause problem with VPATH rewrites for suffix-less tests.
414# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
415am__set_TESTS_bases = \
416  bases='$(TEST_LOGS)'; \
417  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
418  bases=`echo $$bases`
419RECHECK_LOGS = $(TEST_LOGS)
420AM_RECURSIVE_TARGETS = check recheck
421TEST_SUITE_LOG = test-suite.log
422TEST_EXTENSIONS = @EXEEXT@ .test
423am__test_logs1 = $(TESTS:=.log)
424am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
425TEST_LOGS = $(am__test_logs2:.test.log=.log)
426TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
427TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
428        $(TEST_LOG_FLAGS)
429am__set_b = \
430  case '$@' in \
431    */*) \
432      case '$*' in \
433        */*) b='$*';; \
434          *) b=`echo '$@' | sed 's/\.log$$//'`; \
435       esac;; \
436    *) \
437      b='$*';; \
438  esac
439am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
440        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
441DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
442ACLOCAL = @ACLOCAL@
443ADAPTATION_LIBS = @ADAPTATION_LIBS@
444ALLOCA = @ALLOCA@
445AMTAR = @AMTAR@
446AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
447AR = @AR@
448ARGZ_H = @ARGZ_H@
449AR_R = @AR_R@
450AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
451AUTH_MODULES = @AUTH_MODULES@
452AUTOCONF = @AUTOCONF@
453AUTOHEADER = @AUTOHEADER@
454AUTOMAKE = @AUTOMAKE@
455AWK = @AWK@
456BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
457BUILDCXX = @BUILDCXX@
458BUILDCXXFLAGS = @BUILDCXXFLAGS@
459BZR = @BZR@
460CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
461CC = @CC@
462CCDEPMODE = @CCDEPMODE@
463CFLAGS = @CFLAGS@
464CGIEXT = @CGIEXT@
465CHMOD = @CHMOD@
466CPP = @CPP@
467CPPFLAGS = @CPPFLAGS@
468CPPUNITCONFIG = @CPPUNITCONFIG@
469CRYPTLIB = @CRYPTLIB@
470CXX = @CXX@
471CXXCPP = @CXXCPP@
472CXXDEPMODE = @CXXDEPMODE@
473CXXFLAGS = @CXXFLAGS@
474CYGPATH_W = @CYGPATH_W@
475DEFAULT_HOSTS = @DEFAULT_HOSTS@
476DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
477DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
478DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
479DEFS = @DEFS@
480DEPDIR = @DEPDIR@
481DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
482DISK_LIBS = @DISK_LIBS@
483DISK_LINKOBJS = @DISK_LINKOBJS@
484DISK_MODULES = @DISK_MODULES@
485DISK_OS_LIBS = @DISK_OS_LIBS@
486DISK_PROGRAMS = @DISK_PROGRAMS@
487DLLTOOL = @DLLTOOL@
488DSYMUTIL = @DSYMUTIL@
489DUMPBIN = @DUMPBIN@
490ECAP_LIBS = @ECAP_LIBS@
491ECHO_C = @ECHO_C@
492ECHO_N = @ECHO_N@
493ECHO_T = @ECHO_T@
494EGREP = @EGREP@
495EPOLL_LIBS = @EPOLL_LIBS@
496EUILIB = @EUILIB@
497EXEEXT = @EXEEXT@
498EXPATLIB = @EXPATLIB@
499EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
500EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
501EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
502FALSE = @FALSE@
503FGREP = @FGREP@
504GREP = @GREP@
505HAVE_CXX11 = @HAVE_CXX11@
506ICAP_LIBS = @ICAP_LIBS@
507INCLTDL = @INCLTDL@
508INSTALL = @INSTALL@
509INSTALL_DATA = @INSTALL_DATA@
510INSTALL_PROGRAM = @INSTALL_PROGRAM@
511INSTALL_SCRIPT = @INSTALL_SCRIPT@
512INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
513KRB5INCS = @KRB5INCS@
514KRB5LIBS = @KRB5LIBS@
515LBERLIB = @LBERLIB@
516LD = @LD@
517LDAPLIB = @LDAPLIB@
518LDFLAGS = @LDFLAGS@
519LIBADD_DL = @LIBADD_DL@
520LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
521LIBADD_DLOPEN = @LIBADD_DLOPEN@
522LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
523LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
524LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
525LIBLTDL = @LIBLTDL@
526LIBOBJS = @LIBOBJS@
527LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
528LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
529LIBS = @LIBS@
530LIBSASL = @LIBSASL@
531LIBTOOL = @LIBTOOL@
532LIB_DB = @LIB_DB@
533LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
534LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
535LINUXDOC = @LINUXDOC@
536LIPO = @LIPO@
537LN = @LN@
538LN_S = @LN_S@
539LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
540LTDLDEPS = @LTDLDEPS@
541LTDLINCL = @LTDLINCL@
542LTDLOPEN = @LTDLOPEN@
543LTLIBOBJS = @LTLIBOBJS@
544LT_CONFIG_H = @LT_CONFIG_H@
545LT_DLLOADERS = @LT_DLLOADERS@
546LT_DLPREOPEN = @LT_DLPREOPEN@
547MAINT = @MAINT@
548MAKEINFO = @MAKEINFO@
549MANIFEST_TOOL = @MANIFEST_TOOL@
550MINGW_LIBS = @MINGW_LIBS@
551MKDIR = @MKDIR@
552MKDIR_P = @MKDIR_P@
553MV = @MV@
554NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
555NETTLELIB = @NETTLELIB@
556NM = @NM@
557NMEDIT = @NMEDIT@
558NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
559OBJDUMP = @OBJDUMP@
560OBJEXT = @OBJEXT@
561OTOOL = @OTOOL@
562OTOOL64 = @OTOOL64@
563PACKAGE = @PACKAGE@
564PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
565PACKAGE_NAME = @PACKAGE_NAME@
566PACKAGE_STRING = @PACKAGE_STRING@
567PACKAGE_TARNAME = @PACKAGE_TARNAME@
568PACKAGE_URL = @PACKAGE_URL@
569PACKAGE_VERSION = @PACKAGE_VERSION@
570PATH_SEPARATOR = @PATH_SEPARATOR@
571PERL = @PERL@
572PKG_CONFIG = @PKG_CONFIG@
573PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
574PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
575PO2HTML = @PO2HTML@
576PO2TEXT = @PO2TEXT@
577POD2MAN = @POD2MAN@
578RANLIB = @RANLIB@
579REGEXLIB = @REGEXLIB@
580REPL_LIBS = @REPL_LIBS@
581REPL_OBJS = @REPL_OBJS@
582REPL_POLICIES = @REPL_POLICIES@
583RM = @RM@
584SED = @SED@
585SET_MAKE = @SET_MAKE@
586SH = @SH@
587SHELL = @SHELL@
588SMBCLIENT = @SMBCLIENT@
589SNMPLIB = @SNMPLIB@
590SQUID_CFLAGS = @SQUID_CFLAGS@
591SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
592SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
593SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
594SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
595SSLLIB = @SSLLIB@
596STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
597STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
598STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
599STORE_TESTS = @STORE_TESTS@
600STRIP = @STRIP@
601TR = @TR@
602TRUE = @TRUE@
603URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
604VERSION = @VERSION@
605WBINFO = @WBINFO@
606WIN32_PSAPI = @WIN32_PSAPI@
607XMLLIB = @XMLLIB@
608XTRA_LIBS = @XTRA_LIBS@
609XTRA_OBJS = @XTRA_OBJS@
610abs_builddir = @abs_builddir@
611abs_srcdir = @abs_srcdir@
612abs_top_builddir = @abs_top_builddir@
613abs_top_srcdir = @abs_top_srcdir@
614ac_ct_AR = @ac_ct_AR@
615ac_ct_CC = @ac_ct_CC@
616ac_ct_CXX = @ac_ct_CXX@
617ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
618am__include = @am__include@
619am__leading_dot = @am__leading_dot@
620am__quote = @am__quote@
621am__tar = @am__tar@
622am__untar = @am__untar@
623bindir = @bindir@
624build = @build@
625build_alias = @build_alias@
626build_cpu = @build_cpu@
627build_os = @build_os@
628build_vendor = @build_vendor@
629builddir = @builddir@
630datadir = @datadir@
631datarootdir = @datarootdir@
632docdir = @docdir@
633dvidir = @dvidir@
634exec_prefix = @exec_prefix@
635host = @host@
636host_alias = @host_alias@
637host_cpu = @host_cpu@
638host_os = @host_os@
639host_vendor = @host_vendor@
640htmldir = @htmldir@
641includedir = @includedir@
642infodir = @infodir@
643install_sh = @install_sh@
644krb5_config = @krb5_config@
645libdir = @libdir@
646libexecdir = @libexecdir@
647localedir = @localedir@
648localstatedir = @localstatedir@
649ltdl_LIBOBJS = @ltdl_LIBOBJS@
650ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
651mandir = @mandir@
652mkdir_p = @mkdir_p@
653oldincludedir = @oldincludedir@
654pdfdir = @pdfdir@
655prefix = @prefix@
656program_transform_name = @program_transform_name@
657psdir = @psdir@
658runstatedir = @runstatedir@
659sbindir = @sbindir@
660sharedstatedir = @sharedstatedir@
661srcdir = @srcdir@
662subdirs = @subdirs@
663sys_symbol_underscore = @sys_symbol_underscore@
664sysconfdir = @sysconfdir@
665target_alias = @target_alias@
666top_build_prefix = @top_build_prefix@
667top_builddir = @top_builddir@
668top_srcdir = @top_srcdir@
669AM_CFLAGS = $(SQUID_CFLAGS)
670AM_CXXFLAGS = $(SQUID_CXXFLAGS)
671CLEANFILES =
672AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
673        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
674        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
675        $(am__append_1)
676@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
677@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
678COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
679subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
680EXTRA_DIST = required.m4
681negotiate_wrapper_auth_SOURCES = negotiate_wrapper.cc
682negotiate_wrapper_auth_LDADD = \
683        $(top_builddir)/lib/libmiscencoding.la \
684        $(COMPAT_LIB) \
685        $(NETTLELIB) \
686        $(XTRA_LIBS)
687
688all: all-am
689
690.SUFFIXES:
691.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
692$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
693        @for dep in $?; do \
694          case '$(am__configure_deps)' in \
695            *$$dep*) \
696              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
697                && { if test -f $@; then exit 0; else break; fi; }; \
698              exit 1;; \
699          esac; \
700        done; \
701        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/negotiate_auth/wrapper/Makefile'; \
702        $(am__cd) $(top_srcdir) && \
703          $(AUTOMAKE) --foreign helpers/negotiate_auth/wrapper/Makefile
704Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
705        @case '$?' in \
706          *config.status*) \
707            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
708          *) \
709            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
710            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
711        esac;
712$(top_srcdir)/src/Common.am $(am__empty):
713
714$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
715        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
716
717$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
718        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
720        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721$(am__aclocal_m4_deps):
722
723clean-checkPROGRAMS:
724        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
725        echo " rm -f" $$list; \
726        rm -f $$list || exit $$?; \
727        test -n "$(EXEEXT)" || exit 0; \
728        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
729        echo " rm -f" $$list; \
730        rm -f $$list
731install-libexecPROGRAMS: $(libexec_PROGRAMS)
732        @$(NORMAL_INSTALL)
733        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
734        if test -n "$$list"; then \
735          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
736          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
737        fi; \
738        for p in $$list; do echo "$$p $$p"; done | \
739        sed 's/$(EXEEXT)$$//' | \
740        while read p p1; do if test -f $$p \
741         || test -f $$p1 \
742          ; then echo "$$p"; echo "$$p"; else :; fi; \
743        done | \
744        sed -e 'p;s,.*/,,;n;h' \
745            -e 's|.*|.|' \
746            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
747        sed 'N;N;N;s,\n, ,g' | \
748        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
749          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
750            if ($$2 == $$4) files[d] = files[d] " " $$1; \
751            else { print "f", $$3 "/" $$4, $$1; } } \
752          END { for (d in files) print "f", d, files[d] }' | \
753        while read type dir files; do \
754            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
755            test -z "$$files" || { \
756            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
757            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
758            } \
759        ; done
760
761uninstall-libexecPROGRAMS:
762        @$(NORMAL_UNINSTALL)
763        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
764        files=`for p in $$list; do echo "$$p"; done | \
765          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
766              -e 's/$$/$(EXEEXT)/' \
767        `; \
768        test -n "$$list" || exit 0; \
769        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
770        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
771
772clean-libexecPROGRAMS:
773        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
774        echo " rm -f" $$list; \
775        rm -f $$list || exit $$?; \
776        test -n "$(EXEEXT)" || exit 0; \
777        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
778        echo " rm -f" $$list; \
779        rm -f $$list
780
781negotiate_wrapper_auth$(EXEEXT): $(negotiate_wrapper_auth_OBJECTS) $(negotiate_wrapper_auth_DEPENDENCIES) $(EXTRA_negotiate_wrapper_auth_DEPENDENCIES)
782        @rm -f negotiate_wrapper_auth$(EXEEXT)
783        $(AM_V_CXXLD)$(CXXLINK) $(negotiate_wrapper_auth_OBJECTS) $(negotiate_wrapper_auth_LDADD) $(LIBS)
784
785mostlyclean-compile:
786        -rm -f *.$(OBJEXT)
787
788distclean-compile:
789        -rm -f *.tab.c
790
791@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_wrapper.Po@am__quote@
792
793.cc.o:
794@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
795@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
796@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
797@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
798@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
800
801.cc.obj:
802@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
803@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
804@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
805@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
806@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
807@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
808
809.cc.lo:
810@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
811@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
812@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
813@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
814@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
815@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
816
817mostlyclean-libtool:
818        -rm -f *.lo
819
820clean-libtool:
821        -rm -rf .libs _libs
822
823ID: $(am__tagged_files)
824        $(am__define_uniq_tagged_files); mkid -fID $$unique
825tags: tags-am
826TAGS: tags
827
828tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
829        set x; \
830        here=`pwd`; \
831        $(am__define_uniq_tagged_files); \
832        shift; \
833        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
834          test -n "$$unique" || unique=$$empty_fix; \
835          if test $$# -gt 0; then \
836            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
837              "$$@" $$unique; \
838          else \
839            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
840              $$unique; \
841          fi; \
842        fi
843ctags: ctags-am
844
845CTAGS: ctags
846ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
847        $(am__define_uniq_tagged_files); \
848        test -z "$(CTAGS_ARGS)$$unique" \
849          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
850             $$unique
851
852GTAGS:
853        here=`$(am__cd) $(top_builddir) && pwd` \
854          && $(am__cd) $(top_srcdir) \
855          && gtags -i $(GTAGS_ARGS) "$$here"
856cscopelist: cscopelist-am
857
858cscopelist-am: $(am__tagged_files)
859        list='$(am__tagged_files)'; \
860        case "$(srcdir)" in \
861          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
862          *) sdir=$(subdir)/$(srcdir) ;; \
863        esac; \
864        for i in $$list; do \
865          if test -f "$$i"; then \
866            echo "$(subdir)/$$i"; \
867          else \
868            echo "$$sdir/$$i"; \
869          fi; \
870        done >> $(top_builddir)/cscope.files
871
872distclean-tags:
873        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
874
875# Recover from deleted '.trs' file; this should ensure that
876# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
877# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
878# to avoid problems with "make -n".
879.log.trs:
880        rm -f $< $@
881        $(MAKE) $(AM_MAKEFLAGS) $<
882
883# Leading 'am--fnord' is there to ensure the list of targets does not
884# expand to empty, as could happen e.g. with make check TESTS=''.
885am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
886am--force-recheck:
887        @:
888
889$(TEST_SUITE_LOG): $(TEST_LOGS)
890        @$(am__set_TESTS_bases); \
891        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
892        redo_bases=`for i in $$bases; do \
893                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
894                    done`; \
895        if test -n "$$redo_bases"; then \
896          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
897          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
898          if $(am__make_dryrun); then :; else \
899            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
900          fi; \
901        fi; \
902        if test -n "$$am__remaking_logs"; then \
903          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
904               "recursion detected" >&2; \
905        elif test -n "$$redo_logs"; then \
906          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
907        fi; \
908        if $(am__make_dryrun); then :; else \
909          st=0;  \
910          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
911          for i in $$redo_bases; do \
912            test -f $$i.trs && test -r $$i.trs \
913              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
914            test -f $$i.log && test -r $$i.log \
915              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
916          done; \
917          test $$st -eq 0 || exit 1; \
918        fi
919        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
920        ws='[   ]'; \
921        results=`for b in $$bases; do echo $$b.trs; done`; \
922        test -n "$$results" || results=/dev/null; \
923        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
924        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
925        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
926        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
927        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
928        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
929        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
930        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
931          success=true; \
932        else \
933          success=false; \
934        fi; \
935        br='==================='; br=$$br$$br$$br$$br; \
936        result_count () \
937        { \
938            if test x"$$1" = x"--maybe-color"; then \
939              maybe_colorize=yes; \
940            elif test x"$$1" = x"--no-color"; then \
941              maybe_colorize=no; \
942            else \
943              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
944            fi; \
945            shift; \
946            desc=$$1 count=$$2; \
947            if test $$maybe_colorize = yes && test $$count -gt 0; then \
948              color_start=$$3 color_end=$$std; \
949            else \
950              color_start= color_end=; \
951            fi; \
952            echo "$${color_start}# $$desc $$count$${color_end}"; \
953        }; \
954        create_testsuite_report () \
955        { \
956          result_count $$1 "TOTAL:" $$all   "$$brg"; \
957          result_count $$1 "PASS: " $$pass  "$$grn"; \
958          result_count $$1 "SKIP: " $$skip  "$$blu"; \
959          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
960          result_count $$1 "FAIL: " $$fail  "$$red"; \
961          result_count $$1 "XPASS:" $$xpass "$$red"; \
962          result_count $$1 "ERROR:" $$error "$$mgn"; \
963        }; \
964        {                                                               \
965          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
966            $(am__rst_title);                                           \
967          create_testsuite_report --no-color;                           \
968          echo;                                                         \
969          echo ".. contents:: :depth: 2";                               \
970          echo;                                                         \
971          for b in $$bases; do echo $$b; done                           \
972            | $(am__create_global_log);                                 \
973        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
974        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
975        if $$success; then                                              \
976          col="$$grn";                                                  \
977         else                                                           \
978          col="$$red";                                                  \
979          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
980        fi;                                                             \
981        echo "$${col}$$br$${std}";                                      \
982        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
983        echo "$${col}$$br$${std}";                                      \
984        create_testsuite_report --maybe-color;                          \
985        echo "$$col$$br$$std";                                          \
986        if $$success; then :; else                                      \
987          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
988          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
989            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
990          fi;                                                           \
991          echo "$$col$$br$$std";                                        \
992        fi;                                                             \
993        $$success || exit 1
994
995check-TESTS:
996        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
997        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
998        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
999        @set +e; $(am__set_TESTS_bases); \
1000        log_list=`for i in $$bases; do echo $$i.log; done`; \
1001        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1002        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1003        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1004        exit $$?;
1005recheck: all $(check_PROGRAMS)
1006        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1007        @set +e; $(am__set_TESTS_bases); \
1008        bases=`for i in $$bases; do echo $$i; done \
1009                 | $(am__list_recheck_tests)` || exit 1; \
1010        log_list=`for i in $$bases; do echo $$i.log; done`; \
1011        log_list=`echo $$log_list`; \
1012        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1013                am__force_recheck=am--force-recheck \
1014                TEST_LOGS="$$log_list"; \
1015        exit $$?
1016.test.log:
1017        @p='$<'; \
1018        $(am__set_b); \
1019        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1020        --log-file $$b.log --trs-file $$b.trs \
1021        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1022        "$$tst" $(AM_TESTS_FD_REDIRECT)
1023@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1024@am__EXEEXT_TRUE@       @p='$<'; \
1025@am__EXEEXT_TRUE@       $(am__set_b); \
1026@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1027@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1028@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1029@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1030
1031distdir: $(DISTFILES)
1032        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1033        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1034        list='$(DISTFILES)'; \
1035          dist_files=`for file in $$list; do echo $$file; done | \
1036          sed -e "s|^$$srcdirstrip/||;t" \
1037              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1038        case $$dist_files in \
1039          */*) $(MKDIR_P) `echo "$$dist_files" | \
1040                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1041                           sort -u` ;; \
1042        esac; \
1043        for file in $$dist_files; do \
1044          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1045          if test -d $$d/$$file; then \
1046            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1047            if test -d "$(distdir)/$$file"; then \
1048              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049            fi; \
1050            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1051              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1052              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1053            fi; \
1054            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1055          else \
1056            test -f "$(distdir)/$$file" \
1057            || cp -p $$d/$$file "$(distdir)/$$file" \
1058            || exit 1; \
1059          fi; \
1060        done
1061check-am: all-am
1062        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1063        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1064check: check-am
1065all-am: Makefile $(PROGRAMS)
1066installdirs:
1067        for dir in "$(DESTDIR)$(libexecdir)"; do \
1068          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1069        done
1070install: install-am
1071install-exec: install-exec-am
1072install-data: install-data-am
1073uninstall: uninstall-am
1074
1075install-am: all-am
1076        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1077
1078installcheck: installcheck-am
1079install-strip:
1080        if test -z '$(STRIP)'; then \
1081          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1082            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1083              install; \
1084        else \
1085          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1086            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1087            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1088        fi
1089mostlyclean-generic:
1090        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1091        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1092        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1093
1094clean-generic:
1095        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1096
1097distclean-generic:
1098        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1099        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1100
1101maintainer-clean-generic:
1102        @echo "This command is intended for maintainers to use"
1103        @echo "it deletes files that may require special tools to rebuild."
1104clean: clean-am
1105
1106clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1107        clean-libtool mostlyclean-am
1108
1109distclean: distclean-am
1110        -rm -rf ./$(DEPDIR)
1111        -rm -f Makefile
1112distclean-am: clean-am distclean-compile distclean-generic \
1113        distclean-tags
1114
1115dvi: dvi-am
1116
1117dvi-am:
1118
1119html: html-am
1120
1121html-am:
1122
1123info: info-am
1124
1125info-am:
1126
1127install-data-am:
1128
1129install-dvi: install-dvi-am
1130
1131install-dvi-am:
1132
1133install-exec-am: install-libexecPROGRAMS
1134
1135install-html: install-html-am
1136
1137install-html-am:
1138
1139install-info: install-info-am
1140
1141install-info-am:
1142
1143install-man:
1144
1145install-pdf: install-pdf-am
1146
1147install-pdf-am:
1148
1149install-ps: install-ps-am
1150
1151install-ps-am:
1152
1153installcheck-am:
1154
1155maintainer-clean: maintainer-clean-am
1156        -rm -rf ./$(DEPDIR)
1157        -rm -f Makefile
1158maintainer-clean-am: distclean-am maintainer-clean-generic
1159
1160mostlyclean: mostlyclean-am
1161
1162mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1163        mostlyclean-libtool
1164
1165pdf: pdf-am
1166
1167pdf-am:
1168
1169ps: ps-am
1170
1171ps-am:
1172
1173uninstall-am: uninstall-libexecPROGRAMS
1174
1175.MAKE: check-am install-am install-strip
1176
1177.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1178        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1179        clean-libtool cscopelist-am ctags ctags-am distclean \
1180        distclean-compile distclean-generic distclean-libtool \
1181        distclean-tags distdir dvi dvi-am html html-am info info-am \
1182        install install-am install-data install-data-am install-dvi \
1183        install-dvi-am install-exec install-exec-am install-html \
1184        install-html-am install-info install-info-am \
1185        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1186        install-ps install-ps-am install-strip installcheck \
1187        installcheck-am installdirs maintainer-clean \
1188        maintainer-clean-generic mostlyclean mostlyclean-compile \
1189        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1190        recheck tags tags-am uninstall uninstall-am \
1191        uninstall-libexecPROGRAMS
1192
1193.PRECIOUS: Makefile
1194
1195
1196$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1197
1198# Tell versions [3.59,3.63) of GNU make to not export all variables.
1199# Otherwise a system limit (for SysV at least) may be exceeded.
1200.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.